<!-- <tdl-app-news-content [content]="newsNode$ | async" style="overflow-y: auto !important;"></tdl-app-news-content>
<router-outlet></router-outlet> -->
<ion-content padding [scrollEvents]="true" (ionScroll)="logScrolling($event)">
    <div id="container" style="min-height: 700px;" *ngIf="(newsNode$ | async) as content">
        <div class="container mx-auto max-w-screen-xl px-3 md:px-0 mt-28"
            [ngClass]="cartItemsNo>0 ? 'md:mt-52' : 'md:mt-40'">
            <div class="flex flex-wrap items-center capitalize" style="color: #707070;">
                <a routerLink="/home" class="hover:text-black">Trang chủ&nbsp; </a>
                <ion-icon name="chevron-forward-outline"></ion-icon>
                <a routerLink="/promotion" class="hover:text-black">&nbsp;Khuyến mãi&nbsp;</a>
                <ion-icon name="chevron-forward-outline"></ion-icon>&nbsp;
                <a class="text-black">{{content.title}}&nbsp;</a>
            </div>
        </div>
        <form [formGroup]="formGroup">
            <div class="container mx-auto max-w-screen-lg mt-4 md:mt-8 px-3 md:px-0 min-h-600">
                <div class="grid grid-rows-12 grid-cols-12 gap-4">
                    <!-- <div class="col-span-12 md:col-span-4 hidden md:block px-0 font-TUV-Montserrat">
                        <div class="sticky-container">
                            <div class="sticky-box border rounded-2xl border-color px-2">
                                <h2 class="text-lg md:text-2xl text-center font-medium capitalize my-4">
                                    Khuyến mãi mới nhất
                                </h2>
                                <div *ngFor="let item of content.newsRelated | slice: 0:3">
                                    <div class="grid grid-rows-12 grid-cols-12 gap-4 mx-0 cursor-pointer" 
                                    [routerLink]="['/promotion/',item.id]" *ngIf="item?.category?.name == 'Khuyến mãi'">
                                        <div class="w-h col-span-5 px-0 mt-1 justify-content-center d-flex">
                                            <img [src]="item.thumbnail ? item.thumbnail : 'assets/image/hshg-1.png'" class="object-cover w-full rounded-md">
                                        </div>
                                        <div class="col-span-7 flex info-hot-news">
                                            <div class="grid grid-rows-12 grid-cols-12 gap-y-1 gap-x-4">
                                                <div class="col-span-12 truncate-2-line font-medium text-lg font-TUV-Montserrat mb-auto title-hot-news">
                                                    {{item.title}}
                                                </div>
                                                <div class="col-span-12">
                                                    <span>
                                                        Admin
                                                    </span>
                                                </div>
                                            </div>
                                        
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                    </div> -->
                    <!-- <div class="pt-4 block md:hidden order-2 col-span-12 mb-10">
                        <section class="">
                            <h2 class="text-xl md:text-2xl font-medium text-center mb-5 font-TUV-Montserrat ">
                                Khuyến mãi mới nhất
                            </h2>
                            <div class="grid grid-rows-12 grid-cols-12 gap-4">
                                <ng-container *ngFor="let item of content.newsRelated | slice: 0:4">
                                    <div class="col-span-6 cursor-pointer mb-4"
                                        [routerLink]="['/promotion/',item.id]" *ngIf="item?.category?.name == 'Khuyến mãi'">
                                        <div class="justify-center flex mb-2">
                                            <img [src]="item.thumbnail ? item.thumbnail : 'assets/image/hshg-2.png'" class="object-cover h-44 w-full rounded-md">
                                        </div>
                                        <div class="truncate-2-line mt-1 font-TUV-Montserrat">
                                            {{item.title}}
                                        </div>
                                    </div>
            
                                </ng-container>
                            </div>
                        </section>
                    </div> -->
                    <div class="col-span-12 mb-10">
                        <section>
                            <h2 class="text-2xl md:text-3xl font-medium font-TUV-Montserrat">
                                {{content.title}}
                            </h2>
                            <div class="text-sm mb-3 border-bottom flex justify-between">
                                <div>
                                    <span>
                                        Admin,
                                    </span>
                                    <span class="font-weight-bold">
                                        {{content.category.name}}
                                    </span>
                                    <span class="ml-4">
                                        {{content.created | date:'HH:mm dd/M/y':'+0700'}}
                                    </span>
                                </div>
                                <div class="flex items-center cursor-pointer" (click)="likeProduct(id)">
                                    <mat-icon class="md:ml-2 cursor-pointer text-DateTime "
                                        style="color: var(--color-red)" >favorite
                                    </mat-icon>
                                    <span class="ml-2 text-DateTime">{{ likeCountNews }}</span>
                                </div>
                            </div>
                            <div class="mb-4 flex md:hidden">
                                <div >
                                    <button mat-raised-button type="button" class="btn-buy" style="height: 38px; padding: 0 5rem !important;"
                                        (click)="goToPromotionDetail(content)">
                                        Mua ngay
                                    </button>
                                </div>
                            </div>
                            <div class="image-news-detail ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred"
                                [innerHTML]="content.description"></div>
                            <div class="flex justify-center mt-4">
                                <button mat-raised-button type="button" style="height: 38px; padding: 0 5rem !important;"
                                    (click)="goToPromotionDetail(content)">
                                    Mua ngay
                                </button>
                            </div>
                        </section>

                    </div>

                    <div class="col-span-12 mb-10">
                        <h2 class="text-2xl md:text-3xl text-center font-medium capitalize my-4">
                            Khuyến mãi mới nhất
                        </h2>
                        <div class="grid grid-cols-12 gap-4 mx-0">
                            <div class="md:col-span-4 col-span-6 cursor-pointer"
                                *ngFor="let item of content.newsRelated | slice: 0:slide; let i = index" formArrayName="like">
                                <div class="h-full flex flex-col justify-between">
                                    <div class="w-full h-auto">
                                        <img [src]="item.thumbnail ? item.thumbnail : 'assets/image/hshg-3.png'"
                                            class="object-cover w-full rounded-md">
                                    </div>
                                    <div class="text-left font-medium text-md md:text-lg my-2  cursor-pointer"
                                        [routerLink]="['/promotion/',item.id]">
                                        <div class="truncate">

                                            {{item.title}}
                                        </div>
                                    </div>
                                    <div class="flex justify-between text-sm md:text-base" [formGroupName]="i">
                                        <p class="text-DateTime cursor-pointer" [routerLink]="['/promotion/',item.id]">
                                            {{item.created | date:'HH:mm dd/MM/y':'+0700'}}</p>
                                        <div class="flex items-center cursor-pointer" (click)="likeProduct(item.id, i)">
                                            <mat-icon class="md:ml-2 cursor-pointer text-DateTime "
                                                style="color: var(--color-red)">favorite
                                            </mat-icon>
                                            <span class="ml-2 text-DateTime">{{ likes.at(i).value.likeCount }}</span>
                                        </div>
                                    </div>

                                    <div class="cursor-pointer h-full hidden md:block"
                                        [routerLink]="['/promotion/',item.id]">
                                        <div [innerHTML]="item.description | safe:'html'" class="ck ck-content ck-editor__editable ck-rounded-corners ck-editor__editable_inline ck-blurred 
                                            truncate-3-line overflow-hidden text-black"></div>
                                    </div>

                                </div>
                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </form>
    </div>
    <app-footer></app-footer>
    <div>
        <button *ngIf="isShowBackToTop"
            class="fixed  right-12 md:bottom-4 md:right-28 z-50 w-10 h-10 md:w-12 md:h-12 rounded-full bg-main text-white"
            (click)="scrollToTop()" style="border: 1px solid whitesmoke"
            [ngClass]="cartItemsNo>0 ? 'bottom-28' : 'bottom-16'">
            <mat-icon class="pt-1" matTooltip="Trở về đầu trang">keyboard_arrow_up</mat-icon>
        </button>
    </div>
</ion-content>